using System.Collections.Generic;

namespace ttrss_co_client.ttrss.datastructures
{
    public class Tree
    {
        public ItemCollection categories { get; set; }

        public class ItemCollection
        {
            public string identifier { get; set; }
            public string label { get; set; }
            public IEnumerable<Item> items { get; set; }
            public class Item
            {
                public string id { get; set; }
                public int? bare_id { get; set; }
                public int? auxcounter { get; set; }
                public string name { get; set; }
                public IEnumerable<Item> items { get; set; }
                public bool? checkbox { get; set; }
                public string type { get; set; }
                public int? unread { get; set; }
                public int? child_unread { get; set; }
                public string param { get; set; }
                public string fg_color { get; set; }
                public string bg_color { get; set; }
                public int? updates_disabled { get; set; }
            }
        }
    }
}